---------------------------------------------------------------------------
--                                                                       --
--         Cfg2Dot generates dot output for a CFG using Ast2Cfg          --
--                          http://cfg.w3x.org                           --
--                                                                       --
---------------------------------------------------------------------------
--                                                                       --
--          Copyright (c) 2007, Raul Fechete, Georg Kienesberger         --
--                                                                       --
---------------------------------------------------------------------------
--                                                                       --
-- This file is part of Cfg2Dot.                                         --
--                                                                       --
-- Cfg2Dot is free software; you can redistribute it and/or modify       --
-- it under the terms of the GNU General Public License as published by  --
-- the Free Software Foundation; either version 3 of the License, or     --
-- (at your option) any later version.                                   --
--                                                                       --
-- Cfg2Dot is distributed in the hope that it will be useful,            --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of        --
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         --
-- GNU General Public License for more details.                          --
--                                                                       --
-- You should have received a copy of the GNU General Public License     --
-- along with this program.  If not, see <http://www.gnu.org/licenses/>. --
--                                                                       --
---------------------------------------------------------------------------

with Ast2Cfg.Flow_World;
with Ast2Cfg.Flow_Types;
with Ast2Cfg.CFGs;

package Cfg_To_Dot.Output is

   -- Output all CFGs in a world in dot format
   procedure World_Dot_Dump(World: in Ast2Cfg.Flow_World.World_Object);

end Cfg_To_Dot.Output;
